Package org.silverpeas.mobile.shared.dto.reservations

## Class ResourceDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.reservations.ResourceDTO

- All Implemented Interfaces:
    `Serializable`

      public class ResourceDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCategoryId()` |
    `String` | `getCategoryName()` |
    `String` | `getDescription()` |
    `String` | `getId()` |
    `String` | `getName()` |
    `String` | `getReservationStatus()` |
    `void` | `setCategoryId​(String categoryId)` |
    `void` | `setCategoryName​(String categoryName)` |
    `void` | `setDescription​(String description)` |
    `void` | `setId​(String id)` |
    `void` | `setName​(String name)` |
    `void` | `setReservationStatus​(String reservationStatus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceDTO

          public ResourceDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getCategoryId

          public String getCategoryId()

    - #### setCategoryId

          public void setCategoryId​(String categoryId)

    - #### getCategoryName

          public String getCategoryName()

    - #### setCategoryName

          public void setCategoryName​(String categoryName)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getReservationStatus

          public String getReservationStatus()

    - #### setReservationStatus

          public void setReservationStatus​(String reservationStatus)